unit Use_Menu;

interface

Uses
 Use_OpenGL,
 Use_Geom,
 Global,
 OpenGL,
 Use_PNG;

const
 Max_Texts = 40;

type
 TTextElement = record
  Text:string;
  Action:byte;
  Point:TVect;
  Group,alpha:byte;
  Visible:boolean;
  Checked:boolean;
  Size:TVect;
 end;


function add_TE(Text:string;Group,Act:byte;X,Y:Single;Vis:boolean):integer;procedure put_Menu;
procedure Create_Menu;
procedure Check_Menu(CX,CY:Single;Check:boolean);  

Var Texts:array [0..Max_Texts] of TTextElement;
cont:integer;
EndMess,Gamover:integer;
Choosen_Group:byte = 0;

implementation

function Get_index(name:string):integer;
Var i:integer;
begin
 Get_index:=0;
 for i:=0 to Max_Texts do
  if (name=Texts[i].Text) then
   begin
    Get_index:=i;
    break;
   end;
end;

function add_TE(Text:string;Group,Act:byte;X,Y:Single;Vis:boolean):integer;
Var i:integer;
begin
 for i:=0 to  Max_Texts do
  if Texts[i].Text='' then
  begin
   Texts[i].Text:=Text;
   Texts[i].Point.X:=X;
   Texts[i].Point.Y:=Y;
   Texts[i].alpha:=0;
   Texts[i].Visible:=Vis;
   Texts[i].Action:=Act;
   Texts[i].Group:=Group;
   Texts[i].Size.X:=length(Text)*0.22+0.22;
   Texts[i].Size.Y:=0.3;
   break;
  end;
 add_TE:=i;
end;

procedure put_text_s(text:string;x,y:single;check:boolean;a:byte);
begin
 glColor4f(1,1,1,a*0.025);
 put_Text(Text,x+0.05,y-0.05);
 if Check then glColor4f(0,5,5,a*0.05) else
  glColor4f(5,5,5,a*0.05);
 put_Text(Text,x,y);
end;

procedure anim_Menu;
 Var i:byte;
begin
 for i:=0 to Max_Texts do
  if Texts[i].Text<>'' then
  if Texts[i].Visible then
   begin if (Texts[i].alpha<20) then Texts[i].alpha:=Texts[i].alpha+1;end else
   begin if (Texts[i].alpha>0) then Texts[i].alpha:=Texts[i].alpha-1;end;
 for i:=0 to Max_Texts do
  if (Texts[i].Group=0) or (Texts[i].Group=Choosen_Group) then
   Texts[i].Visible:=true else Texts[i].Visible:=false;
end;

procedure put_Menu;
 Var i:byte;
begin
  for i:=0 to Max_Texts do
   If Texts[i].Group=0 then Texts[i].Visible:=true;
 for i:=0 to Max_Texts do
  if (Texts[i].Text<>'') and (Texts[i].Visible) then
   put_Text_s(Texts[i].Text,Texts[i].Point.X,Texts[i].Point.Y,Texts[i].Checked,Texts[i].alpha);
end;

procedure Start_Action(num:byte);
Var i:integer;
begin
 Case num of
  0:;  {none}
  1:Game_Mode:=-1;{exit addiction}
  2:begin
     Choosen_Group:=1;
    end;{exit}
  3:begin
     Choosen_Group:=2;
    end;{new}
  4:begin{redactor}
     Choosen_Group:=0;
    end;
  5:begin{continue}
     Game_Mode:=1;
    end;
  6:begin {about}
     Choosen_Group:=3;
    end;
  8:begin {exit after win/dead}

    end;
  11:begin {level1}   
      Points:=0;
      Game_Mode:=1;
      Waves:=4;
      Level:=1;
      Is_Started:=true;
      Max_Colors:=5;
      Gen_Balls(0);
      LoadPNGTexture('IMG/Dragon.png',Fon);
      Load_Level('Levels/Dragon.lev');
      Hero.Point:=Vector(0,-2);
     end;
  12:begin {level2}  
      Points:=0;
      Game_Mode:=1;
      Move_Mode:=mm_usual;
      Is_Started:=true;
      Gen_Balls(0);
      Waves:=5;
      Level:=2;
      LoadPNGTexture('IMG/Monster.png',Fon);
      Load_Level('Levels/Monster.lev');
      Max_Colors:=5;
      Hero.Point:=Vector(-6,-2);
     end;
  13:begin {level3}
      Points:=0;
      Move_Mode:=mm_usual;
      Game_Mode:=1;
      Waves:=3;
      Level:=3;
      LoadPNGTexture('IMG/Dark_Lord.png',Fon);
      Load_Level('Levels/Dark_Lord.lev');
      Is_Started:=true;
      Gen_Balls(0);
      Max_Colors:=6;
      Hero.Point:=Vector(-4,-3);
     end;
 end;
end;

procedure check_Menu;
Var i:integer;
begin
 anim_Menu;
 for i:=0 to Max_Texts do
  if Texts[i].Visible then
   if (Texts[i].Point.X<=CX) and
      (Texts[i].Point.X+Texts[i].Size.X>=CX) and
      (Texts[i].Point.Y<=CY) and
      (Texts[i].Point.Y+Texts[i].Size.Y>=CY) then
    begin
     Texts[i].Checked:=true;
     if mbl then begin mbl:=false;Start_Action(Texts[i].Action);end;
    end
     else Texts[i].Checked:=false;
end;

procedure Create_Menu;
begin
 cont:=add_TE('',4,5,-5,4,False);

 add_TE('Snoopy zuma',0,0,-2,4,true);       
 add_TE('',0,3,-5,3.4,true);
  add_TE(' :',2,0,-3,3-0.8,false);
  add_TE(' '    ,2,11,-3,3-1.4,false);
  add_TE(' '    ,2,12,-3,3-2,false);
  add_TE('     :)',2,13,-3,3-2.6,false);

 add_TE('',0,6,-5,2.8,true);
  add_TE(' Snoopy zuma',3,0,-3,3.1-0.8,false);
  add_TE('by Mefistofel',3,0,-3,3.1-1.4,false);
  add_TE('  IGDC.ru',3,0,-3,3.1-2,false);
  add_TE('44  "Zuma"',3,0,-3,3.1-2.6,false);
  add_TE('                 21.02.2009',3,0,-3,3.1-3.2,false);

 add_TE('',0,2,-5,2.2,true);
  add_TE('',1,1,-3.4,2.2,false);

 EndMess:=add_TE('!',5,4,-2.3,-0.3,true);
 Gamover:=add_TE(' ,  ...',6,4,-2.3,-0.3,true);
end;

end.
