unit GSound;

interface
uses
  Bass, Omega, LexUtils;

Procedure LoadSounds;
Procedure InitGS;
Procedure PlaySound( I : cardinal);
Procedure LoadMusic;
Procedure DJ;

var

Talk : array[1..9] of cardinal;

S_bell, S_bum, S_trea,
Muz : cardinal;
S_exp, S_expY  :  array[1..8] of cardinal;

S_flash : array[1..14] of cardinal;
S_tele : array[1..14] of cardinal;

MzTrack : byte = 0;
MofTrack : byte = 1;



implementation

uses
  Game_A;

Procedure LoadSounds;
var
  I : integer;
begin
{  S_trea := BASS_StreamCreateFile(False, PChar('Data\trea.ogg'), 0, 0, 0);
  S_bum := BASS_StreamCreateFile(False, PChar('Data\Bum.ogg'), 0, 0, 0);
  S_bell := BASS_StreamCreateFile(False, PChar('Data\Bell.ogg'), 0, 0, 0);

  for I:=1 to 8 do
  S_exp[I] :=BASS_StreamCreateFile(False, PChar('Data\Exp.ogg'), 0, 0, 0);
  for I:=1 to 8 do
  S_expY[I] :=BASS_StreamCreateFile(False, PChar('Data\Exp.ogg'), 0, 0, 0);

  for I:=1 to 14 do
  S_flash[I] :=BASS_StreamCreateFile(False, PChar('Data\flash.ogg'), 0, 0, 0);
  for I:=1 to 14 do
  S_tele[I]  :=BASS_StreamCreateFile(False, PChar('Data\tele.ogg'), 0, 0, 0);

        }
end;

Procedure LoadMusic;
begin
 { if (WSD) then
  begin
    inc(MzTrack);
    if MzTrack>MofTrack then MzTrack:=1;
    Muz:=BASS.BASS_StreamCreateFile(False, PChar('sound\'+Int2S(MzTrack)+'.ogg'), 0, 0, 0 );
    BASS_ChannelPlay(Muz, FALSE);
  end; }
end;

Procedure DJ;
begin
{  if  BASS.BASS_ChannelGetPosition(Muz,0) *1.05 >=
      BASS.BASS_ChannelGetLength(Muz,0)
      then
      LoadMusic;  }
end;

Procedure InitGS;
begin   {
  if BASS_Init(-1, 44100, 0, 0, nil) then
  WSD:=true else WSD:=false;
  if (WSD) and (Setup.Sound>0) then
  LoadSounds;     }
end;

Procedure PlaySound( I : cardinal);
begin
  {if (WSD) and (Setup.Sound>0) then
    begin
      BASS_ChannelPlay(I, FALSE);
    end;  }
end;




end.
