// LexUtils v0.2
// (c) cdmlex 2008
//__________________________


unit LexUtils;

interface

type
  TMRect = record
    X, Y, H, W : integer;
  end;

Function Int2S(I : integer): string;
Function S2Int(S : string): integer;
Function FileEx(FN : string) : boolean;
Procedure app( var X : single; I : real);
Function XYinRect(X, Y : single; R :TMRect) : boolean;

implementation

Function XYinRect(X, Y : single; R :TMRect) : boolean;
begin
  if  (X > R.X)
  and (Y > R.Y)
  and (X < R.X + R.W)
  and (Y < R.Y + R.H)
  then
  result:=true
  else
  result:=false;
end;

Function Int2S(I : integer): string;
begin
  str(I,result);
end;

Function S2Int(S : string): integer;
var
  O : integer;
begin
  val(S,result,O);
  if O<>0 then result:=-666;
end;

Function FileEx(FN : string) : boolean;
var
F : textfile;
begin
  assignfile(F, FN);
  {$i-}
  reset(F);
  closeFile(F);
  {$i+}
  if ioresult=0 then
  result:=true
  else
  result:=false;
end;

Procedure app( var X : single; I : real);
begin
  X:=X+I;
end;

end.
