unit MainProc;

interface
uses
  OMEGA, BonSes, Game_A, Materials,
  GOptions, GSound, LexUtils, PAP_Materials,
  MScenes, Pregs, GMenu, GRecords;

Procedure MPInit;
Procedure MPProc;
Procedure MPDraw;
Procedure MPQuit;
Function SetExplColor(I : byte) : integer;

var
  TofG, TofG2 : byte;
  ShowOT : boolean = false;
  PlName : String = '';
  GameOn : boolean = false;
  PAllTime : real;

  SomeString : string;

  MMS : byte =1;

  MouseClick : boolean = false;

implementation

Function SetExplColor(I : byte) : integer;
begin
  case I of
    1 : result:= 65535 ;
    2 : result:= 15066597 ;
    3 : result:= 4298475 ;
    4 : result:= 61440 ;
    5 : result:= 16691969 ;
    6 : result:= 255 ;
    7 : result:= $020020020;
  end;
end;

Procedure Razmet;
var
I : integer;
begin
  //   
  FontS := round((90 / 100)*100)/100;
  SetbsR;
  RazmetPregs;
  RazmetMenu;
  RecRazmet;
end;

Procedure MPInit;
begin
  LoadTexture;
  AddImages;
  Razmet;
  LoadSounds;
//  InitPole;
end;

Procedure MPProc;
begin
  if OMEGA.Mouse_Press( M_LBUTTON ) then
  MouseClick:=true else MouseClick:=false;

  if (Mouse_X<100)
  and (Mouse_Y<100)
  then
    begin
      MMS:=2;
      if MouseClick then
      MScenes.NewScn(1);
    end
    else
    MMS:=1;

  if ScnWork then
   begin
    if GOptions.BA then
    BegProc
    else
    case TofG of
      0 : ProcPregs;
      1 : ProcMenu;
      2 : BonsProc;
      3 : GameProc;
      7 : AutP;
    end;
   end;
  if Key_Press( K_F2 ) Then ShowOT:=not ShowOT;
  if Key_Press( K_ESCAPE ) Then MScenes.NewScn(1);

end;

Procedure MPDraw;
begin
 if GOptions.BA then
 BegAutD
 else
 begin

  case TofG of
    0 : DrawPregs;
    1 : DrawMenu;
    2 : BonsDraw;
    3 : GameDraw;
    5 : DrawRecs;
    7 : AutD;
  end;


  if ShowOT then
  begin
    Omega.Text_Draw(Font1, 10, 5, PChar( 'FPS: ' + U_IntToStr( OE_GetFPS)), 1);
    Omega.Text_Draw(Font1, 10, 20, PChar( 'Angle: ' + U_IntToStr( HomeCord[0].Paps[1].KX)), 1);
    Omega.Text_Draw(Font1, 10, 35, PChar( 'Angle: ' + U_IntToStr( HomeCord[0].Paps[1].KY)), 1);


  end;
  Omega.SSprite_Draw(TCur, Mouse_X, Mouse_Y, 35, 70);
 end;

 if ChangeScn then
  Omega.SSprite_Draw(TBlack, 0, 0, 1026, 770, BlackLim );





end;

Procedure MPQuit;
begin
  SaveTRec;
end;

end.
