unit GMenu;

interface
uses
  Omega, LexUtils, Game_A,
  GSound, MScenes, Materials;

Procedure RazmetMenu;
Procedure DrawMenu;
Procedure ProcMenu;

var
  GMbutton: array[1..6] of TmRect;
  GMbuttonS: array[1..6] of byte;

implementation
uses
  MainProc;

Procedure RazmetMenu;
var
  I : byte;
begin
  for I:=1 to 6 do
    begin
      GMbutton[I].Y:=30 + I*90;
      GMbutton[I].X:=422;
      GMbutton[I].H:=90;
      GMbutton[I].W:=180;
      GMbuttonS[I]:=1;
    end;
end;

Procedure DrawMenu;
Procedure tbDraw(I : integer; S : string);
begin
  Omega.Text_Draw(Font1,
                  GMbutton[I].X + ( GMbutton[I].W - Text_GetWidth(Font1, PChar(S), 1)) / 2,
                  GMbutton[I].Y + ( GMbutton[I].H - 15 - Font1.Height) / 2, PChar(S),
                  1, 0, 255, 0);
end;
var
I : integer;
begin
  Omega.SSprite_Draw(TBGMap2, 0, 0, 1024, 768);
      for I:=1 to 6 do
      Omega.ASprite_Draw( Tbtm, GMbutton[I].X, GMbutton[I].Y, GMbutton[I].W, GMbutton[I].H-15, GMbuttonS[I]);

  if GameOn then
    begin
      tbDraw(1, '');
      tbDraw(2, '');
      tbDraw(3, ' ');
    end
  else
    begin
      tbDraw(1, ' ');
      tbDraw(2, '');
      tbDraw(3, ' ');
    end;
      tbDraw(4, ' ?');
      tbDraw(5, '');
      tbDraw(6, '');
  Omega.Text_Draw(Font1, (1024 - Text_GetWidth(Font1, PChar('   , '+PlName), FontS)) / 2,
                  90, PChar('   , '+PlName), FontS, 0, 255, 200);

                
end;

Procedure ProcMenu;
var
  I, B : byte;
begin
  for I:=1 to 6 do
  if XYinRect(Mouse_X, Mouse_Y, GMbutton[I]) then
    begin
      B:=I;
      GMbuttonS[I]:=2;
    end
  else
  GMbuttonS[I]:=1;

  if MouseClick then
  if B>0 then
  begin
    case B of
    1 : if not GameOn then MScenes.NewScn(3, 77)
                      else MScenes.NewScn(3);
    2 : if not GameOn then MScenes.NewScn(5)
                      else MScenes.NewScn(3, 77);
    3 : if not GameOn then MScenes.NewScn(0,1)
                      else MScenes.NewScn(2);
    4 : MScenes.NewScn(4, 1);

    5 : MScenes.NewScn(7);

    6 : MScenes.NewScn(45);
    end;
  end;
end;

end.
