unit GOptions;

interface
uses
  Materials, LexUtils, Omega,
  GSound, Game_A, MScenes;

Procedure BegAutD;
Procedure BegProc;
Procedure AutP;
Procedure AutD;

var
  BA : boolean = TRUE;
  BAT : string;
  ATEXT : real = 0;
  SF : real = 40;
  TSTEP : real = 80;
  TColor : real = 10;
  LTImer : integer;
  ATM     : byte =255;
  ATM1    : byte =255;

  BProd  : TMRect;
  BProdS : byte =1;
implementation
uses
  MainProc;

Procedure BegAutD;
begin
  Omega.SSprite_Draw(TBGMap2, 0, 0, 1024, 768);

  Omega.SSprite_Draw(Tbm, 0, 0, 1024, 768, round(ATM));
  Omega.Text_Draw(Font1, (1024 - Text_GetWidth(Font1, PChar(BAT), SF*FontS, TSTEP)) / 2,
                 (768-Font1.Height*SF*FontS ) / 2, PChar(BAT),
                  SF*FontS, TSTEP, round(ATEXT), round(TColor));

  if TofG2=0 then
  Omega.SSprite_Draw(Tblack, 0, 0, 1024, 768, round(ATM1));
end;

Procedure BegProc;
begin
  case TofG2 of
    0 : begin
          BAT:=' ';
          if BAT<>' ' then
          BAT:='Trofimov Alkeksey';
          if ATM1=250 then LoadMusic;

          if ATM1>1 then ATM1:=ATM1-1
          else
          TofG2 :=1;
        end;
    1 : begin
          if ATEXT<255 then
          ATEXT:=ATEXT+1;


          TColor:=TColor+0.5;

          if TSTEP>0.2 then
          TSTEP:=TSTEP-0.5;
          if SF>2 then
            SF:=SF-0.2
          else
           begin
            TofG2:=2;
            LTimer:=220;
           end;
        end;
    2 : begin
          if LTimer>1 then
          LTimer:=LTimer-1
          else
            TofG2:=3;
        end;
    3 : begin

           if SF>0.02 then
           SF:=SF-0.015;
           TSTEP:=TSTEP+1.7;

           if ATEXT>2 then
           ATEXT:=ATEXT-1.5
           else
             begin
               ATEXT:=0;
               BAT:='';
               TofG2:=4;
               ATEXT := 0;
               SF := 30;
               TSTEP := 65;
               TColor := 10;
             end;
        end;
    4 : begin
          if ATEXT<255 then
          ATEXT:=ATEXT+1.5;

          TColor:=TColor+0.5;

          if TSTEP>0.2 then
          TSTEP:=TSTEP-0.5;
          if SF>2 then
            SF:=SF-0.2
          else
           begin
            TofG2:=5;
            LTimer:=180;
           end;
        end;
    5 : begin
          if LTimer>1 then
          LTimer:=LTimer-1
          else
            TofG2:=6;
        end;
    6 : begin

           if SF>0.02 then
           SF:=SF-0.015;
           TSTEP:=TSTEP+1.7;

           if ATEXT>2 then
           ATEXT:=ATEXT-1.5
           else
             begin
               BAT:='';
               TofG2:=7;
               LTimer:=10;
             end;
        end;
    7 : begin
          if LTimer>1 then
          LTimer:=LTimer-1
          else
            TofG2:=8;
        end;
    8 : begin
          if ATM>2 then ATM:=ATM-2
          else
            begin
              TofG2:=0;
              NewScn(TofG);
            end;
        end;

  end;
end;

///________________________________2


Procedure AutD;
begin
  Omega.SSprite_Draw(TBGMap2, 0, 0, 1024, 768);

  Omega.ASprite_Draw(Tsp, 0, 0, 90, 90, MMS);

  BAT:='  ';
  Omega.Text_Draw(Font1, (1024 - Text_GetWidth(Font1, PChar(BAT), 1.2*FontS, 0)) / 2,
                 (768-5*Font1.Height*FontS ) / 2, PChar(BAT),
                  1.2*FontS, 0, 240, 40);

  BAT:='  (cdmlex)';
  Omega.Text_Draw(Font1, (1024 - Text_GetWidth(Font1, PChar(BAT), 1.5*FontS, 0)) / 2,
                 (768-3*Font1.Height*FontS ) / 2, PChar(BAT),
                  1.5*FontS, 0, 240, 20);

  BAT:='  ';
  Omega.Text_Draw(Font1, (1024 - Text_GetWidth(Font1, PChar(BAT), 1.2*FontS, 0)) / 2,
                 (768+2*Font1.Height*FontS ) / 2, PChar(BAT),
                  1.2*FontS, 0, 240, 40);
  BAT:='OMEGA Engine (  Andru )';
  Omega.Text_Draw(Font1, (1024 - Text_GetWidth(Font1, PChar(BAT), 1.2*FontS, 0)) / 2,
                 (768+4*Font1.Height*FontS ) / 2, PChar(BAT),
                  1.2*FontS, 0, 240, 60);

  Omega.ASprite_Draw(Tbtm, 512 - 90, 768 - 180, 180, 90 - 15, BprodS);
  Omega.Text_Draw(Font1, 512-90 + ( 180 - Text_GetWidth(Font1, PChar(''), 1)) / 2,
                         768-180 + ( 90 -15 - Font1.Height) / 2, PChar(''), 1, 0, 255, 0);


end;

Procedure AutP;
begin
  Bprod.W:=180;
  Bprod.H:=90;
  Bprod.X:=422;
  Bprod.Y:=588;

  if LExUtils.XYinRect(Mouse_X, Mouse_Y, Bprod) then
    begin
      BprodS:=2;
      if MouseClick then
      NewScn(1);
    end
  else
  BprodS:=1;

end;

end.
