unit Materials;

interface
uses
  OMEGA, LexUtils;

Procedure LoadTexture;

var
  Tbtm, Tsp, Tbm,
  Tblack, TBigSv,
  TBGMap2, TBGMap3,
  Tcur : PTexture;

  Font1 : Omega.PFONT2D;
  FontS : single = 0.9;

implementation
uses
MainProc;

Procedure LoadTexture;
var
  Flag, IX : integer;
begin
  Flag:=TEX_DEFAULT_2D or TEX_USEMASK;
  TBGMap2:=Tex_LoadFromFile('Data\Map1.jpg', -1, 1);
  TBGMap3:=Tex_LoadFromFile('Data\Map2.jpg', -1, 1);

  TCur:=Tex_LoadFromFile('Data\Cur.tga', -1, 1);
  Tblack:=Tex_LoadFromFile('Data\Black.jpg', -1, 1);

  Tbtm:=Tex_LoadFromFile(PChar('Data\btm.jpg'), -1, 1);
  Omega.Tex_SetFramesSize(Tbtm, 256, 128);

  Tex_LoadMaskFromFile('Data\msp.jpg');
  Tsp:=Tex_LoadFromFile('Data\sp.jpg', -1, Flag);
  Omega.Tex_SetFramesSize(Tsp, 256, 256);

  Tex_LoadMaskFromFile('Data\mbl.jpg');
  Tbm:=Tex_LoadFromFile('Data\black.jpg', -1, Flag);

  Tex_LoadMaskFromFile('Data\mbigsv.jpg');
  Tbigsv:=Tex_LoadFromFile('Data\bigsv.jpg', -1, Flag);

  Tex_LoadMaskFromFile('Data\mbl.jpg');
  Tbm:=Tex_LoadFromFile('Data\black.jpg', -1, Flag);

  Font1:= Text_LoadFontFromFile( 'Data\Font1.tga', 'Data\Font1.ofi', 0, TEX_DEFAULT_2D or TEX_FILTER_NEAREST);

end;

end.
