unit PAP_materials;

interface
uses
  LexUtils, Omega;

var
  TI : array of Omega.PTexture;

  TiPap, TiShaman, TiCol : array[0..7] of Omega.PTexture;

  Thome, Thome2, Tgun, Tshad,
  Taltar : Omega.PTexture;

  //
  WayI : Omega.PTexture;

procedure AddImages;

implementation

procedure AddImages;
var
  Flag, I, K : integer;
  F : textfile;
begin
  Tshad:=Tex_LoadFromFile('Data\shad.tga', -1, 1);
  // 
  assignfile(F, 'Data\T\K.txt');
  reset(F);
  readln(F, K);
  closefile(F);

  Flag:=TEX_DEFAULT_2D or TEX_USEMASK;
  Tex_LoadMaskFromFile(PChar('Data\T\m1.jpg'));
  setlength(TI, K);
  for I:=1 to K do
  begin
    TI[I-1]:=Tex_LoadFromFile(PChar('Data\T\'+Int2S(I)+'.jpg'), -1, Flag);
    Omega.Tex_SetFramesSize(TI[I-1], 64, 128);
  end;

  Tex_LoadMaskFromFile(PChar('Data\altarm.jpg'));
  Taltar:=Tex_LoadFromFile(PChar('Data\altar.jpg'), -1, Flag);
  Omega.Tex_SetFramesSize(Taltar, 128, 256);

  Tex_LoadMaskFromFile(PChar('Data\homem.jpg'));
  Thome:=Tex_LoadFromFile(PChar('Data\home.jpg'), -1, Flag);
  Omega.Tex_SetFramesSize(Thome, 256, 256);

  Tex_LoadMaskFromFile(PChar('Data\home2m.jpg'));
  Thome2:=Tex_LoadFromFile(PChar('Data\home.jpg'), -1, Flag);
  Omega.Tex_SetFramesSize(Thome2, 256, 256);

  Tex_LoadMaskFromFile(PChar('Data\gun1-1m.jpg'));
  Tgun:=Tex_LoadFromFile(PChar('Data\gun1-1.jpg'), -1, Flag);
  Omega.Tex_SetFramesSize(Tgun, 128, 128);

  for I:=0 to 7 do
    begin
      Tex_LoadMaskFromFile(PChar('Data\Model\pt'+Int2S(I)+'m.jpg'));
      TiPap[I]:=Tex_LoadFromFile(PChar('Data\Model\pt'+Int2S(I)+'.jpg'), -1, Flag);
      Omega.Tex_SetFramesSize(TiPap[I], 64, 128);

      Tex_LoadMaskFromFile(PChar('Data\Model\sh'+Int2S(I)+'m.jpg'));
      TiShaman[I]:=Tex_LoadFromFile(PChar('Data\Model\sh'+Int2S(I)+'.jpg'), -1, Flag);
      Omega.Tex_SetFramesSize(TiShaman[I], 64, 128);
      Tex_LoadMaskFromFile(PChar('Data\Model\col'+Int2S(I)+'.jpg'));
      TiCol[I]:=Tex_LoadFromFile(PChar('Data\Model\col'+Int2S(I)+'.jpg'), -1, Flag);
      Omega.Tex_SetFramesSize(TiCol[I], 64, 128);

    end;


end;

end.
