unit Pregs;

interface
uses
  Game_A, Omega, MScenes,
  GSound,
  LexUtils, Materials;

Procedure ProcPregs;
Procedure DrawPregs;
Procedure RazmetPregs;
Procedure ReadPlN;

var
  Tild  : char;
  TildT : byte;
  PlName1 : String;

  NextBtm  : TMRect;
  NextBtmS : byte;

implementation

uses
  MainProc;

Procedure RazmetPregs;
var
  I : byte;
begin
  NextBtm.X:=512 - 90;
  NextBtm.Y:=768 - round(2.5*90);
  NextBtm.W:=180;
  NextBtm.H:=90;
end;

Procedure SavePlN;
var
  F : TextFile;
  S : String;
begin
    assignFile(F, 'PlayerN.cgm');
    rewrite(F);
    writeln(F, PlName);
    closefile(F);
end;

Procedure DrawRegPl1;

begin
  Omega.Text_Draw(Font1, (1024 - Text_GetWidth(Font1, PChar('  :'), 1.7*FontS)) / 2,
                  2*90, PChar('  :'), 1.7*FontS, 0, 255, 15739648);
  Omega.Text_Draw(Font1, (1024 - Text_GetWidth(Font1, PChar(PlName1), 2*FontS)) / 2,
                  3*90, PChar(PlName1+Tild), 2*FontS, 0, 255, 210);
  Omega.ASprite_Draw( Tbtm, NextBtm.X, NextBtm.Y, NextBtm.W, NextBtm.H-15, NextBtmS);
  Omega.Text_Draw(Font1, NextBtm.X + ( NextBtm.W - Text_GetWidth(Font1, PChar(''), 1)) / 2,
                         NextBtm.Y + ( NextBtm.H - 15 - Font1.Height) / 2, PChar(''), 1, 0, 255, 0);

end;

Procedure RegPl1;
const
  ST1 : string = '';
  St2 : string = '';
var
  I   : byte;
  BB  : boolean;
begin
  inc(TildT, 5);
  if TildT>128 then
  Tild:=' '
  else
  Tild:='|';
  BB:=false;
  for I:=1 to 255 do
  if Omega.Key_Press(I) then
  begin
    if (I=8) or (I=46) then
    PlName1:=copy(PlName1 ,0 , length(PlName1)-1)
    else
    if (I>=48) and (I<=57) then
    PlName1:=PlName1+U_IntToStr(I-48)
    else
    if (I=32) then PlName1:=PlName1+' '
    else
      begin
        if Omega.Key_Down(Omega.K_SHIFT) then
          begin
            if (I>=65) and (I<91) then
            PlName1:=PlName1+st2[I-64]
            else
            case I of
             186 : PlName1:=PlName1+'';
             188 : PlName1:=PlName1+'';
             190 : PlName1:=PlName1+'';
             219 : PlName1:=PlName1+'';
             221 : PlName1:=PlName1+'';
             222 : PlName1:=PlName1+'';
            end;
          end
        else
          begin
            if (I>=65) and (I<91) then
            PlName1:=PlName1+st1[I-64]
            else
            case I of
             186 : PlName1:=PlName1+'';
             188 : PlName1:=PlName1+'';
             190 : PlName1:=PlName1+'';
             219 : PlName1:=PlName1+'';
             221 : PlName1:=PlName1+'';
             222 : PlName1:=PlName1+'';
            end;
          end
      end;
  end;

  if XYinRect(Mouse_X, Mouse_Y, NextBtm)
  then
    begin
      NextBtmS:=2;
      if MouseClick then
        begin
          PlName:=PlName1;
          MScenes.NewScn(1);
        end;
    end
  else
  NextBtmS:=1;
end;

Procedure ProcPregs;
begin
  case TofG2 of
    0: TofG2:=1;
    1: RegPl1;
  end;
end;

Procedure DrawPregs;
begin
  Omega.SSprite_Draw(TBGMap2, 0, 0, 1024, 768);
  case TofG2 of
    1: DrawRegPl1;
  end;
  Omega.ASprite_Draw(Tsp, 0, 0, 90, 90, MMS);
end;

Procedure ReadPlN;
var
  F : TextFile;
  S : String;
begin
  if FileEx('PlayerN.cgm') then
  begin
    assignFile(F, 'PlayerN.cgm');
    TofG:=1;
    reset(F);
    readln(F, PlName);
    closefile(F);
  end
  else
  TofG:=0;
end;

end.
